import request from '@/utils/request'


//
export function getDoctorArticleCateList(query) {
  return request({
    url: '/app/doctorArticle/getDoctorArticleCateList',
    method: 'get',
    params: query
  })
}

export function getDoctorArticleList(query) {
  return request({
    url: '/app/doctorArticle/getDoctorArticleList',
    method: 'get',
    params: query
  })
}



// 获取用户详细信息
export function getArticle(articleId) {
  return request({
    url: '/app/doctorArticle/getDoctorArticleByArticleId',
    method: 'get',
    params: {
      articleId: articleId
    }
  })
}

export function addArticle(data) {
  return request({
    url: '/app/doctorArticle/addDoctorArticle',
    method: 'post',
    data: data
  })
}

// 删除医生文章
export function delArticle(data) {
  return request({
    url: '/app/doctorArticle/delDoctorArticle',
    method: 'post',
    data: data
  })
}

// 修改医生文章
export function updateArticle(data) {
  return request({
    url: '/app/doctorArticle/editDoctorArticle',
    method: 'post',
    data: data
  })
}





